KDE 4.9 PyKDE API Reference

- KDE's Python API

# LegendWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals
| propertyValueChanged (QString propertyName, bool value)
## Methods
| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
| setMarbleModel (self, Marble.MarbleModel model)

## Signal Documentation

propertyValueChanged | ( | QString | propertyName,
|  | bool | value
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("propertyValueChanged(const QString&, bool)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

setMarbleModel | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Set a MarbleWidget associated to this widget.

Parameters:

  | widget | the MarbleWidget to be set.